%define upstream_name    Dist-Zilla-Role-ModuleIncluder
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Explicitly include modules into a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla::File::InMemory) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileInjector)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Module::Build::Tiny) >= 0.7.0
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(MooseX::Types::Stringlike)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Perl::PrereqScanner)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This role allows your plugin to include one or more modules into the
distribution for build time purposes. The modules will not be installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-4.mga8
+ Revision: 1504304
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-3.mga7
+ Revision: 1283378
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.8.0-2.mga7
+ Revision: 1164278
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.8.0-1.mga7
+ Revision: 1157908
- update to 0.008

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-2.mga6
+ Revision: 1026684
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 1007371
- Add missing BR
- Add BR
- update to 0.006

* Fri Feb 19 2016 umeabot <umeabot> 0.4.0-3.mga6
+ Revision: 970344
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.4.0-2.mga6
+ Revision: 886013
- Fix BRs

* Mon Oct 27 2014 shlomif <shlomif> 0.4.0-1.mga5
+ Revision: 793885
- Add deps
- imported package perl-Dist-Zilla-Role-ModuleIncluder


* Thu Oct 23 2014 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
